Storyden
Invitations

Invitation Get

Retrieve the details of an invitation by its identifier. This endpoint is publicly accessible and can be used to show invitation details before the client's registration flow.

GET
/invitations/{invitation_id}

Retrieve the details of an invitation by its identifier. This endpoint is publicly accessible and can be used to show invitation details before the client's registration flow.

Authorization

cookiestoryden-session<token>

Path Parameters

invitation_id*string

Unique invitation ID.

Formatxid

Response Body

OK

application/json
  1. response
id*Identifier

A unique identifier for this resource.

Formatxid
createdAt*string

The time the resource was created.

Formatdate-time
updatedAt*string

The time the resource was updated.

Formatdate-time
deletedAt?string

The time the resource was soft-deleted.

Formatdate-time
misc?

Arbitrary extra data stored with the resource.

creator*

A minimal reference to an account.

message?string
Example Request
curl -X GET 'https://example.com/api/invitations/string'
Example Response
{  "id": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "deletedAt": "2019-08-24T14:15:22Z",  "misc": {},  "creator": {    "id": "string",    "joined": "2019-08-24T14:15:22Z",    "suspended": "2019-08-24T14:15:22Z",    "handle": "string",    "name": "string",    "signature": "string",    "roles": [      {        "badge": true,        "default": true,        "id": "string",        "name": "string",        "colour": "string",        "meta": {}      }    ]  },  "message": "string"}